;//-----------------------------LICENSE NOTICE------------------------------------
;//  This file is part of Project AcReturns
;//  Copyright (C) 2018 AcReturns
;//
;//  This program is free software: you can redistribute it and/or modify
;//  it under the terms of the GNU General Public License as published by
;//  the Free Software Foundation, either version 3 of the License, or
;//  (at your option) any later version.
;//
;//  This program is distributed in the hope that it will be useful,
;//  but WITHOUT ANY WARRANTY; without even the implied warranty of
;//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;//  GNU General Public License for more details.
;//
;//  You should have received a copy of the GNU General Public License
;//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;//-------------------------------------------------------------------------------

;###########################################################################
;#### FICHERO: map.h.s
;###########################################################################

.macro DefineMap _name, _kx, _ky, _hx, _hy, _n_enemys, _ex1, _ey1, _ex2, _ey2,_ex3, _ey3, _ex4, _ey4,_ex5, _ey5, _map
	_name:
		.db		_kx, _ky
  	.db   _hx, _hy
  	.db		_n_enemys
  	.db		_ex1, _ey1
  	.db		_ex2, _ey2
  	.db		_ex3, _ey3
  	.db		_ex4, _ey4
  	.db		_ex5, _ey5
  	.dw 	_map
.endm

m_kx		= 0 m_ky		= 1
m_hx 		= 2 m_hy 		= 3
m_n_e		= 4
m_ex1 	= 5 m_ey1		= 6
m_ex2 	= 7 m_ey2		= 8
m_ex3 	= 9 m_ey3		= 10
m_ex4 	= 11 m_ey4	= 12
m_ex5 	= 13 m_ey5	= 14
m_map_l = 15
m_map_h = 16

.globl levelPos
.globl redraw_map
.globl redraw_the_key
.globl map_inicialize
.globl map_draw
.globl level3_data
.globl level

K_num_maps     = 9 

decompress_buffer     = 0x01AF;0x2C3D
levelmaxsize          = 0x528
sizehud               = 0x2A8
decompress_hud        = decompress_buffer + 0x2A8
decompress_buffer_end = decompress_buffer + levelmaxsize - 1 
decompress_buffer_hud_end = decompress_buffer_end + sizehud