;//-----------------------------LICENSE NOTICE------------------------------------
;//  This file is part of Project AcReturns
;//  Copyright (C) 2018 AcReturns
;//
;//  This program is free software: you can redistribute it and/or modify
;//  it under the terms of the GNU General Public License as published by
;//  the Free Software Foundation, either version 3 of the License, or
;//  (at your option) any later version.
;//
;//  This program is distributed in the hope that it will be useful,
;//  but WITHOUT ANY WARRANTY; without even the implied warranty of
;//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;//  GNU General Public License for more details.
;//
;//  You should have received a copy of the GNU General Public License
;//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;//-------------------------------------------------------------------------------

;###########################################################################
;#### FICHERO: render.h.s
;###########################################################################

.macro DefineDrawableEntity _name, _x0, _x1, _x2, _y0, _y1, _y2, _w, _h, _sprite
_name:
   .db    _x0, _x1, _x2 ;; X, Y
   .db		_y0, _y1, _y2	;;
   .db    _w, _h     ;; W, H
   .dw   _sprite        ;; Color
_name'_size = . - _name
.endm

de_x0 		= 0		de_x1 		= 1
de_x2 		= 2 	de_y0 		= 3
de_y1 		= 4 	de_y2 		= 5
de_w 			= 6		de_h 			= 7
de_sp_l 	= 8		de_sp_h 	= 9


.globl ren_drawEntity
.globl ren_eraseEntity
.globl ren_updateEntity
.globl map_switchBuffers
.globl getBackBuffer
.globl getFrontBuffer