;//-----------------------------LICENSE NOTICE------------------------------------
;//  This file is part of Project AcReturns
;//  Copyright (C) 2018 AcReturns
;//
;//  This program is free software: you can redistribute it and/or modify
;//  it under the terms of the GNU General Public License as published by
;//  the Free Software Foundation, either version 3 of the License, or
;//  (at your option) any later version.
;//
;//  This program is distributed in the hope that it will be useful,
;//  but WITHOUT ANY WARRANTY; without even the implied warranty of
;//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;//  GNU General Public License for more details.
;//
;//  You should have received a copy of the GNU General Public License
;//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;//-------------------------------------------------------------------------------

;###########################################################################
;#### FICHERO: ialogic.s
;###########################################################################
.include "ialogic.h.s"
.include "cpctelera.h.s"
.include "entity.h.s"
.include "collision.h.s"
.include "collisionEnemy.h.s"
.globl camino

;;===============================================================
;;===============================================================
;; PRIVATE DATA
;;===============================================================
;;===============================================================

camino: .db #180
;;===============================================================
;;===============================================================
;; PUBLIC FUNCTIONS
;;===============================================================
;;===============================================================

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; MOVE WIHT A PATTERN A ENTITY
;; DESTROYED REGISTERS: 
;; INPUT: ix the entity
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
pattern_move::
  ld 	a, e_ch(ix)
  set	#4, a
  set #3, a
  ld  e_ch(ix), a

  bit #0,a
  jr z,mov_izq												
				ld e_vx(ix),#1												;; Velocidad a 1 para que vaya a la derecha
				ld a,(camino)													;; Cargamos las veces que le falta por moverse
				dec a
				jp m, seguir_der											;; Si aun le quedan iteracciones se sigue moviendo
							;;ld a,(lado)
							ld a, e_ch(ix)
							res #0, a
							ld e_ch(ix),a
							ld a,#180												;; Volvemos a ponerlo a 80 
				
				seguir_der:
					ld (camino),a												;; Guardamos el nuevo valor del camino
					ld    hl, #_definity_enemy_sp_02
					ld    de_sp_l(ix), l
					ld    de_sp_h(ix), h
					jr end

	mov_izq:
		ld e_vx(ix),#-1														;; Velocidad a -1 para que vaya a la izquierda
		ld a, (camino)														;; Cargamos las veces que le falta po moverse
		dec a
		jp m, seguir_izq
					ld a, e_ch(ix)
					set #0, a
					ld e_ch(ix),a
					ld a,#180
	
	seguir_izq:
		ld    hl, #_definity_enemy_sp_00
	  ld    de_sp_l(ix), l
	  ld    de_sp_h(ix), h
		ld (camino),a															;; Guardamos el nuevo valor del camino
	
	end:
	  call collision_map
		ret	